require "helper"
require "twirl/instrumenters/noop"

class NoopInstrumenterTest < Minitest::Test
  def test_instrument
    yielded = false
    Twirl::Instrumenters::Noop.instrument(:foo) { yielded = true }
    assert yielded
  end

  def test_instrument_with_payload
    yielded = false
    Twirl::Instrumenters::Noop.instrument(:foo, pay: :load) { yielded = true }
    assert yielded
  end
end
