require "pp"
$LOAD_PATH.unshift File.expand_path("../../lib", __FILE__)
require "twirl/server"

old_handler = trap(:INT) do
  puts "exiting"
  exit
  old_handler.call if old_handler.respond_to?(:call)
end

dir = File.expand_path("../../tmp/kestrel", __FILE__)
FileUtils.mkdir_p dir

server = Twirl::Server.new(dir)
p server

old_handler = trap(:INT) do
  server.stop
  old_handler.call if old_handler.respond_to?(:call)
end

server.stop if server.running?

server.start
puts "The server is running. ctrl + c to stop."

loop {
  p server.status
  sleep 5
  # forever
}

# another_dir = File.expand_path("../../tmp/another", __FILE__)
# FileUtils.mkdir_p another_dir
# another_server = Twirl::Server.new(another_dir)
# p another_server
# another_server.start
