# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'twirl/version'

Gem::Specification.new do |spec|
  spec.name          = "twirl"
  spec.version       = Twirl::VERSION
  spec.authors       = ["John Nunemaker"]
  spec.email         = ["nunemaker@gmail.com"]
  spec.description   = %q{Wrapper for kjess that works with multiple kestrel instances intelligently.}
  spec.summary       = %q{Wrapper for kjess that works with multiple kestrel instances intelligently.}
  spec.homepage      = "https://github.com/jnunemaker/twirl"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "kjess", "~> 1.2.0"
  spec.add_development_dependency "rake"
end
